Package org.drinkless.tdlib

# Class TdApi.DiscardCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DiscardCall

Enclosing class:
  `TdApi`

public static class TdApi.DiscardCall extends TdApi.Function<TdApi.Ok>
Discards a call.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `callId`
  Call identifier.
  `long`
  `connectionId`
  Identifier of the connection used during the call.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  The call duration, in seconds.
  `String`
  `inviteLink`
  If the call was upgraded to a group call, pass invite link to the group call.
  `boolean`
  `isDisconnected`
  Pass true if the user was disconnected.
  `boolean`
  `isVideo`
  Pass true if the call was a video call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscardCall()`
  Default constructor for a function, which discards a call.
  `DiscardCall(int callId, boolean isDisconnected, String inviteLink, int duration, boolean isVideo, long connectionId)`
  Creates a function, which discards a call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### callId

    public int callId
    Call identifier.

  - ### isDisconnected

    public boolean isDisconnected
    Pass true if the user was disconnected.

  - ### inviteLink

    public String inviteLink
    If the call was upgraded to a group call, pass invite link to the group call.

  - ### duration

    public int duration
    The call duration, in seconds.

  - ### isVideo

    public boolean isVideo
    Pass true if the call was a video call.

  - ### connectionId

    public long connectionId
    Identifier of the connection used during the call.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DiscardCall

    public DiscardCall()
    Default constructor for a function, which discards a call.

    Returns `Ok`

  - ### DiscardCall

    public DiscardCall(int callId, boolean isDisconnected, String inviteLink, int duration, boolean isVideo, long connectionId)
    Creates a function, which discards a call.

    Returns `Ok`

    Parameters:
      `callId` - Call identifier.
      `isDisconnected` - Pass true if the user was disconnected.
      `inviteLink` - If the call was upgraded to a group call, pass invite link to the group call.
      `duration` - The call duration, in seconds.
      `isVideo` - Pass true if the call was a video call.
      `connectionId` - Identifier of the connection used during the call.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR